# Dutch ASA Questionnaire Translation - Part 1: Translation and Formative Assessment - Rounds 1 and 2
## Overview of Steps to Reproduce Analyses

**Author**: Johan Hensman 

**Date**: June 2023

**Contributors**: Johan Hensman, Kriss Tesink, Nele Albers, Willem-Paul Brinkman.

**Code based on the code from**: Fengxiang Li

**OSF pre-registration**: https://osf.io/adknw


This file is meant to give an overview of reproducing our analyses. Code for translation rounds 1 and 2 was written by the Johan Hensman and Kriss Tesink. Code for analyzing age end gender from the Prolific data has been written by Kriss Tesink. 

Emma Bokel checked all code and documentation and filled in a checklist (see ChecklistDataRepositoryReview.pdf).


### Types of Analysis

We describe how you can inspect and/or reproduce our steps and results below. We provide information on 1) the data anonymization, 2) ICC calculations for rounds 1 and 2, and 3) the analysis of the gender and age distribution of participants in the two rounds. 


### Anonymization Code

The folder "Anonymization Code" contains the code for anonymizing participants’ data. We cannot publish non-anonymized data, but we can provide how the data was anonymized.


### Translation Rounds 

Two translation rounds were conducted in this study. Both corresponding folders follow a similar structure:
- A README file has been added to explain how to reproduce the results of the corresponding translation round, available in .md and .pdf.
- Survey results in a .sav file. There are multiple .sav files in Round 1, which is explained in the README of Translation Round 1.
- An analysis file where the data is pre-processed and the ICC values, mean, standard deviation and range are calculated. Translation round 1 has two files as there is one file analysing all data and one file where only the data of participants who recommended using their data for research is used.
- A legend file can be found describing each column of the .sav file.
- A knitted RMD file where the analysis has been done and the results are added.


### Participant Characteristics

The folder "Participant Characteristics" contains data on characteristics (age, gender, highest completed education level) from the Prolific profiles of the participants of the two translation rounds. The data has been processed and the results can reproduced with the .rmd file in this folder. 
