# Dutch ASA Questionnaire Translation - Part 1: Translation and Formative Assessment - Rounds 1 and 2
## Translation Round 1

**Author**: Johan Hensman

**Date**: June 2023

**Contributors**: Johan Hensman, Kriss Tesink, Nele Albers, Willem-Paul Brinkman

**Code based on the code from**: Fengxiang Li

**OSF pre-registration**: https://osf.io/adknw


This file is meant to guide you through reproducing our results for calculating the ICC values for the first translation round.


### Explanation of Steps Taken

With the files in this folder, the ICC values for the first round of the translation of the English ASA questionnaire to Dutch were calculated. The survey was split in two parts to reduce fatigue, therefore we also have the data split into two separate files.
 
At the end of the questionnaire, participants were asked whether they recommended using their data for research. Therefore, we have two code files, as one is the ICC calculation using all data (60 participants) and the other with only the recommended data (58 participants). The goal was to have ICC-values of at least 0.6 based both on all data and on only recommended data. If that is not the case for an item, the corresponding translation is to be revised in round 2.


### Requirements

You need to have R v4.2.3 installed. Rstudio is recommended to view and execute the files. All dependencies are listed in the RMD files.


### Steps to Reproduce Analysis
1)	Make sure R is installed.
2)	Navigate to the folder where this README is located.
3)	You have two options. Running of the files are the same, but the dataset is different:
a.	Open the file  ICC_Round_1_All_Data.Rmd If you want to get the ICC values from the whole dataset
b.	Open the file  ICC_Round_1_Only_Recommended_Data.Rmd if you want to get the ICC values from only the recommended data
4)	Run the content of the selected files. It accesses the data files: Final_ASA_Dutch_Round_1_First_Half_anonym.sav and Final_ASA_Dutch_Round_1_Second_Half_anonym.sav. 
5)	Once run the program outputs the ICC values, their classification, mean, standard deviation and range. 
6)	If you want to knit a pdf-file from the RMD-file, you can use the knit button in RStudio.


### Explanation of Files
- README.md/README.pdf: This README-file
- Final_ASA_Dutch_Round_1_First_Half_anonym.sav: Data from the first half of the survey used to compute the ICC values.
- Final_ASA_Dutch_Round_1_legend.txt: Explanation of all columns in the two datafiles (Final_ASA_Dutch_Round_1_First_Half_anonym.sav and Final_ASA_Dutch_Round_1_Second_Half_anonym.sav). 
- Final_ASA_Dutch_Round_1_Second_Half_anonym.sav: Data from the second half of the survey used to compute the ICC values.
- ICC_Round_1_All_Data.Rmd: Code to obtain ICC values of all data.
- ICC_Round_1_Only_Recommended_Data.Rmd: Code to obtain ICC values of only recommended data.
- ICC_Round_1_All_Data.pdf: The knitted file of ICC_Round_1_All_Data.Rmd.
- ICC_Round_1_Only_Recommended_Data.pdf: The knitted file of ICC_Round_1_Only_Recommended_Data.Rmd.
