# Dutch ASA Questionnaire Translation - Part 1: Translation and Formative Assessment - Rounds 1 and 2
## Translation Round 2

**Author**: Johan Hensman 

**Date**: June 2023

**Contributors**: Johan Hensman, Kriss Tesink, Nele Albers, Willem-Paul Brinkman

**Code based on the code from**: Fengxiang Li

**OSF pre-registration**: https://osf.io/adknw


This file is meant to guide you through reproducing our results for calculating the ICC values for the second translation round.


### Explanation of Steps Taken

With the files in this folder, the ICC values for the second round of the translation of the English ASA questionnaire to Dutch were calculated. 

After the first translation round, 37 items needed to be retranslated. Almost all items had multiple translations, which meant that we had 64 translations where the ICC value needed to be calculated. 

At the end of the questionnaire, participants were asked whether they recommended using their data for research. In this round, all participants recommended their data, so we have only one code file with ICC calculations using all data (30 participants). 


### Requirements

You need to have R v4.2.3 installed. Rstudio is recommended to view and execute the files. All dependencies are listed in the RMD files.


### Steps to Reproduce Analysis

1)	Make sure R is installed.
2)	Navigate to the folder where this README is located.
3)	Open the file ICC_Round_2.Rmd.
4)	Run the content of the selected files. It accesses the data files: Final_ASA_Dutch_Round_2_anonym.sav.
5)	Once run the program outputs the ICC values and their classification for all possible translations and the ICC values, their classification, mean, standard deviation and range for the best 37 items. 
6)	If you want to knit a pdf-file from the RMD-file, you can use the knit button in RStudio.


### Explanation of Files

- README.md/README.pdf: This README-file
- Final_ASA_Dutch_Round_2_anonym.sav: Data from the second round to compute the ICC values
- Final_ASA_Dutch_Round_2_legend.txt: Explanation of all columns in the datafile (Final_ASA_Dutch_Round_2_anonym.sav)
- ICC_Round_2.Rmd: Code to reproduce to obtain ICC values of the second round
- ICC_Round_2.pdf: The knitted file of ICC_Round_2.Rmd
